ZIP_FILE(5)

NAME
zip_file - file in archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_file_t *file;

DESCRIPTION
A zip_file represents a file inside an archive, opened for reading. It is created with zip_fopen(3), zip_fopen_index(3), zip_fopen_encrypted(3), or zip_fopen_index_encrypted(3).

Data is accessed with zip_fread(3), zip_file_is_seekable(3), zip_ftell(3), or zip_fseek(3).

It is closed with zip_fclose(3).

If the containing zip_t is closed, all further uses of the zip_file_t return an error. It is a convenience wrapper around a zip_source_t as created by zip_source_zip(3).

SEE ALSO
zip_fclose(3), zip_file_is_seekable(3), zip_fopen(3), zip_fopen_encrypted(3), zip_fopen_index(3), zip_fopen_index_encrypted(3,) zip_fread(3), zip_fseek(3), zip_ftell(3), zip_source_zip(3),

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>